libgpod-doc-0.8.3-8.3.noarch.rpm


Advertisement

Description

libgpod-doc - Documentation for libgpod

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libgpod-doc-0.8.3-8.3.noarch.rpm
Package name libgpod-doc
Package version 0.8.3
Package release 8.3
Package architecture noarch
Package type rpm
Category Documentation/HTML
Homepage http://www.gtkpod.org/libgpod.html
License LGPL-2.1+
Maintainer -
Download size 68.21 KB
Installed size 671.87 KB
libgpod is a library meant to abstract access to iPod content. It
provides an API to retrieve the list of files and
playlists stored on an iPod, modify them, and save them back to the iPod.
This package provides development documentation for libgpod.

Alternatives

Package Version Architecture Repository
libgpod-doc-0.8.3-70.16.noarch.rpm 0.8.3 noarch Multimedia Libs
libgpod-doc - - -

Provides

Name Value
libgpod-doc = 0.8.3-8.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgpod-doc-0.8.3-8.3.noarch.rpm
Source Package libgpod-0.8.3-8.3.src.rpm

Install Howto

Install libgpod-doc rpm package:

# zypper install libgpod-doc

Files

Path
/usr/share/gtk-doc/html/libgpod/ch01.html
/usr/share/gtk-doc/html/libgpod/home.png
/usr/share/gtk-doc/html/libgpod/index.html
/usr/share/gtk-doc/html/libgpod/index.sgml
/usr/share/gtk-doc/html/libgpod/itunesdb.html
/usr/share/gtk-doc/html/libgpod/left.png
/usr/share/gtk-doc/html/libgpod/libgpod-Artwork.html
/usr/share/gtk-doc/html/libgpod/libgpod-Chapter-Data.html
/usr/share/gtk-doc/html/libgpod/libgpod-Device.html
/usr/share/gtk-doc/html/libgpod/libgpod-File-handling-functions.html
/usr/share/gtk-doc/html/libgpod/libgpod-Low-level-functions.html
/usr/share/gtk-doc/html/libgpod/libgpod-Photo-database.html
/usr/share/gtk-doc/html/libgpod/libgpod-Playlists.html
/usr/share/gtk-doc/html/libgpod/libgpod-Smart-Playlists.html
/usr/share/gtk-doc/html/libgpod/libgpod-The-Itdb-iTunesDB-structure.html
/usr/share/gtk-doc/html/libgpod/libgpod-Time-handling.html
/usr/share/gtk-doc/html/libgpod/libgpod-Tracks.html
/usr/share/gtk-doc/html/libgpod/libgpod.devhelp2
/usr/share/gtk-doc/html/libgpod/photodb.html
/usr/share/gtk-doc/html/libgpod/right.png
/usr/share/gtk-doc/html/libgpod/style.css
/usr/share/gtk-doc/html/libgpod/up.png

Changelog

2018-06-11 - bjorn.lie@gmail.com
- Change bcond_without mono to bcond_with mono, no longer build
mono support/sub-package by default.
2018-01-23 - jengelh@inai.de
- Fix groups of SRPM and documentation. Make doc noarch.
Trim bias from description.
2018-01-23 - tchvatal@suse.com
- Conditionalize python2 module build as it is not compatible with
python3 at all and we do not need it by default
* This allows to build in python3 only enviroment
- Run over a bit with spec-cleaner
2015-10-23 - tuukka.pasanen@ilmi.fi
- Added patch that prevents segfault when using newer iPod and iPhone (< iOS 5)
0002-323-Segmentation-fault-when-opening-ipod.patch
- Added patch that corrects few strings
0001-Fix-spelling-errors-in-comments-and-strings-using-co.patch
- Added patch that corrects compiling with newer libplist
0003-Fixed-PList-deprication.patch
2015-06-21 - crrodriguez@opensuse.org
- Use libusb-1_0-devel as BuildRequires not libusb-devel
as the old libusb compatibility layer is not used.
2015-03-24 - dvlaeev@suse.com
- Change bcond back again.. It turned out to be that mono bindings
are wanted by the openSUSE community.
2015-03-20 - dvlaeev@suse.com
- Build without Mono by default
2015-01-26 - dimstar@opensuse.org
- Add libgpod-swig-3.0.patch: Fix build with SWIG 3.0.
2013-12-22 - zaitor@opensuse.org
- Update to version 0.8.3:
+ Add support for libimobiledevice 1.1.5.
+ Remove use of some deprecated glib functions.
+ Fix various issues found using clang/cppcheck.
+ Improve robustness of the iphone callout.
- Drop libgpod-libimobiledevice-fix.patch, fixed upstream.
- Stop passing --enable-udev to configure, now default enabled.
- Remove conditional BuildRequires for obsolete openSUSE versions
(11.2 and older, no longer supported as evergreen either).
- Stop passing --with-hal-callouts-dir=%{_libexecdir}/hal and
and --disable-udev only needed for obsolete openSUSE versions.
2013-07-15 - coolo@suse.com
- fix build in factory by porting to new libimobiledevice api

See Also

Package Description
libgpod-lang-0.8.3-8.3.noarch.rpm Translations for package libgpod
libgpod-tools-0.8.3-8.3.i586.rpm Tools for libgpod
libgpod-tools-0.8.3-8.3.x86_64.rpm Tools for libgpod
libgpod4-0.8.3-8.3.i586.rpm Library to Manipulate Songs and Playlists Stored on an iPod
libgpod4-0.8.3-8.3.x86_64.rpm Library to Manipulate Songs and Playlists Stored on an iPod
libgpod4-32bit-0.8.3-8.3.x86_64.rpm Library to Manipulate Songs and Playlists Stored on an iPod
libgps24-3.18.1-1.4.i586.rpm Shared library for GPS applications
libgps24-3.18.1-1.4.x86_64.rpm Shared library for GPS applications
libgrail6-3.1.1-1.3.i586.rpm Gesture recognition library
libgrail6-3.1.1-1.3.x86_64.rpm Gesture recognition library
libgrail6-32bit-3.1.1-1.3.x86_64.rpm Gesture recognition library
libgranite5-5.2.3-2.1.i586.rpm Granite is a development library
libgranite5-5.2.3-2.1.x86_64.rpm Granite is a development library
libgraphblas2-2.2.2-32.1.i586.rpm An implementation of the GraphBLAS standard
libgraphblas2-2.2.2-32.1.x86_64.rpm An implementation of the GraphBLAS standard
Advertisement
Advertisement